unit urename;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  EditBtn, StdCtrls;

type

  { TFNEWN }

  TFNEWN = class(TForm)
    BREN: TButton;
    BCANC: TButton;
    EDNEWN: TEdit;
    procedure BCANCClick(Sender: TObject);
    procedure BRENClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FNEWN: TFNEWN;

implementation

uses umanager;

{ TFNEWN }

procedure TFNEWN.BRENClick(Sender: TObject);

var oldname, newname: string;
begin
     oldname := UMGR.TFLB.Filename;
     newname := ExtractFilePath(oldname) + EDNEWN.Text;
     if RenameFile(oldname, newname) then begin
        FNEWN.Hide;
        UMGR.TFLB.UpdateFileList;
     end;
end;

procedure TFNEWN.BCANCClick(Sender: TObject);
begin
  FNEWN.Hide;
end;

initialization
  {$I urename.lrs}

end.

